> ## Documentation Index
> Fetch the complete documentation index at: https://help.pixwel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a event



## OpenAPI

````yaml /openapi.yaml put /events/{id}
openapi: 3.1.0
info:
  title: Pixwel Platform
  description: >-
    The Pixwel Platform REST API. Responses are decorated by proxy middleware
    (Fields, Links, Permissions, etc.). Use `?fields=` to request specific
    fields.
  version: '2.8'
  contact:
    email: jeff@pixwel.com
  license:
    name: UNLICENSED
servers:
  - url: https://api-staging.pixwel.com/api
    description: Staging
  - url: https://app.pixwel.com/api
    description: Production
security:
  - BasicAuth: []
paths:
  /events/{id}:
    put:
      tags:
        - Events
      summary: Update a event
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventsResponse'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventsResponse'
components:
  schemas:
    EventsResponse:
      type: object
      properties:
        _id:
          type: string
          example: 52e11a9267d62164058b4567
        from:
          type: object
          properties:
            _id:
              type: string
              example: 51e14988d5cddcab41000000
            name:
              type: string
              example: Pixwel Admin
            emailNormal:
              type: string
              example: admin@pixwel.com
            $links:
              type: object
              properties:
                self:
                  type: string
                  example: //api-staging.pixwel.com/api/Users/51e14988d5cddcab41000000
        type:
          type: string
          example: fd
        files:
          type: array
          items:
            type: string
            example: 52e09be167d621507d8b4589
        processed:
          type: boolean
          example: true
        pushed:
          type: boolean
          example: true
        created:
          type: integer
          example: 1390484114
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````